Bug 806109 - Message about unsigned packages fails to identify them
Message about unsigned packages fails to identify them
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: apper (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 18:09 EDT by Patrick O'Callaghan
Modified: 2013-02-13 16:31 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:31:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick O'Callaghan 2012-03-22 18:09:09 EDT
Description of problem:
Apper sometimes complains that packages are unsigned and asks the user whether to proceed, however the offending packages are not identified.

Version-Release number of selected component (if applicable):


How reproducible:
Unknown

Steps to Reproduce:
1.Run Apper
2.Attempt to install or update packages
3.
  
Actual results:
If some packages are unsigned, a general error dialogue pops up with Confirm/Cancel buttons but no useful information. This makes it impossible for the user to make an informed decision.

Expected results:
Warning should include the specific packages being flagged.

Additional info:
Comment 1 Patrick O'Callaghan 2012-03-22 18:11:02 EDT
Oops, version is apper-0.7.1-1.fc16.x86_64
Comment 2 Daniel Nicoletti 2012-12-03 21:06:39 EST
I've added this capability to Apper from git,
can someone test on Fedora?
(I'm not sure the yum backend supports that yet)
Comment 3 Patrick O'Callaghan 2012-12-03 21:34:58 EST
(In reply to comment #2)
> I've added this capability to Apper from git,
> can someone test on Fedora?
> (I'm not sure the yum backend supports that yet)

I reported this, but in the interim I became so annoyed by Apper (for other reasons than this bug) that I just removed it. Thanks for taking an interest and I'm sorry I can't be more helpful.
Comment 4 Fedora End Of Life 2013-01-16 12:09:05 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 16:31:46 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.